<?php

namespace app\controllers;

use Yii;
use app\models\Healthseeking;
use app\models\HealthseekingSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use yii\filters\AccessControl; 
use app\models\Attandance;
use app\models\Applicationsettings;
use app\models\Registration;
use app\models\Demographics;
use app\base\Converter;

/**
 * HealthseekingController implements the CRUD actions for Healthseeking model.
 */
class HealthseekingController extends Controller
{
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'rules' => [
                    [
                        'actions' => ['error'],
                        'allow' => true,
                    ],
                    [
                        'actions' => ['index', 'create', 'update', 'view', 'delete','appset','demog','demogmaristatus','reg','stime'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Healthseeking models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new HealthseekingSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Healthseeking model.
     * @param integer $id
     * @return mixed
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Healthseeking model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Healthseeking();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->health_seeking_id]);
        } else {
            return $this->render('create', [
                'model' => $model,
            ]);
        }
    }

    /**
     * Updates an existing Healthseeking model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->health_seeking_id]);
        } else {
            return $this->render('update', [
                'model' => $model,
            ]);
        }
    }

    /**
     * Deletes an existing Healthseeking model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['/'.Yii::$app->controller->id]);
    }

    /**
     * Finds the Healthseeking model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Healthseeking the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Healthseeking::findOne($id)) !== null) {
            return $model;
        } else {
            throw new NotFoundHttpException('The requested page does not exist.');
        }
    }	
	
	
	public function actionAppset()
    {
		Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;
        $request = Yii::$app->request;
        if ($request->isPost)
          //  $id = $request->post('id');

        $model = Applicationsettings::find()->orderBy("create_time DESC")->one();
        if ($model !== null) {		
          return $model;
		 // return $model->app_control_site;
			
        } 
    }
	
	public function actionDemog()
    {
        Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;
        $request = Yii::$app->request;
        if ($request->isPost)
           $id = $request->post('id');
	   
        $model = Demographics::find()->where(["demographics_part_id" => $id])->orderBy("create_time ASC")->one();
        if ($model !== null) {		
         return $model; 
        } 
    }
	
	public function actionDemogmaristatus()
    {
        Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;
        $request = Yii::$app->request;
        if ($request->isPost)
           $id = $request->post('id');
	   
        $model = Demographics::find()->where(["demographics_part_id" => $id])->orderBy("create_time DESC")->one();
        if ($model !== null) {		
         return $model; 
        } 
    }
	
	public function actionReg()
    {
        Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;
        $request = Yii::$app->request;
        if ($request->isPost)
          $id = $request->post('id');
	  
        $model = Registration::find()->where(["corfrm_pid" => $id])->orderBy("record_date DESC")->one();
        if ($model !== null) {		
         return $model;
        } 
    }
	
	public function actionStime()
    {
		Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;
        $request = Yii::$app->request;
        if ($request->isPost)
          //  $id = $request->post('id');
         $currenttime= strtotime(date('Y/m/d H:i:s'));
         return $currenttime;
    }
	
}
